package rofaapp;

import javax.swing.*;
import java.io.Serializable;

public abstract class Furniture implements Serializable{

    private int id;
    private TypeWood wood;
    private ImageIcon icon;
    private String name;

    //Getters
    public int getId() {return id;}
    public TypeWood getWood() {return wood;}
    public ImageIcon getIcon() {return icon;}
    public String getName() {return name;}
    public String toString() {return name;}

    //Setters (returns true if successful, false if not.)
    public boolean setId(int i)
    {
        id = i;
        return true;
    }
    public boolean setWood(TypeWood w)
    {
        wood = w;
        return true;
    }
    public boolean setIcon(ImageIcon i)
    {
        icon = i;
        return true;
    }
    public boolean setName(String s)
    {
        name = s;
        return true;
    }

    //Abstract Methods
    public abstract int getUnits();
    public abstract double getPrice();
}
