package rofaapp;

import javax.swing.ImageIcon;

public class ItemChair extends Furniture {

    private final int units = 1625;

    //Empty Constructor (Needed for ItemArmChair)
    ItemChair()
    {

    }
    //Full contrsuctor
    /**
     * Full Constructor
     * @param i ID of the item.
     * @param tw Wood Type of the item.
     * @param im Icon of the item.
     */
    ItemChair(int i, TypeWood tw, ImageIcon im)
    {
        setName("Chair");
        setId(i);
        setWood(tw);
        setIcon(im);
    }

    //Implement abstract methods
    public int getUnits()
    {
        return units;
    }
    /**
     * @return {@link #units} * woodPrice.
     */
    public double getPrice()
    {
        return units * getWood().getPrice();
    }

}
