package rofaapp;

import javax.swing.ImageIcon;

public class ItemTableChrome extends ItemTable{

    private final double basePrice = 35.00;
    
    /**
     * @param id ID of the item (doesn't have to be unique)
     * @param tw Wood type of the item.
     * @param ii Icon of the item.
     * @param d Diameter of the item.
     */
    //Constructer
    ItemTableChrome(int id, TypeWood tw, ImageIcon ii, int d)
    {
        setName("Chrome Table");
        setId(id);
        setWood(tw);
        setIcon(ii);
        setDiameter(d);
    }
    
    //Implement abstract methods
    public double getPrice()
    {
        return ((getDiameter() * getDiameter()) * getWood().getPrice()) + basePrice;
    }
}
