package rofaapp;

import java.io.Serializable;

public class TypeWood implements Serializable{

    private String name;
    private double price;
    
    //Types of Wood (Constants)
    public static final TypeWood WOOD_OAK = new TypeWood("Oak", 0.04);
    public static final TypeWood WOOD_WALNUT = new TypeWood("Walnut", 0.03);

    //Constructor
    TypeWood(String n, double p)
    {
        name = n;
        price = p;
    }

    //Getters
    public String getName(){return name;}
    public double getPrice(){return price;}

    /**
     * Gets the name of the wood type.
     * @return {@link #name}
     */
    @Override
    public String toString()
    {
        return name;
    }

}
