/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package rofaapp;

import java.awt.Dimension;
import java.awt.Image;
import javax.swing.ImageIcon;

/**
 *
 * @author t7048312
 */
public class ItemIcon {
    
    //Chair Icons
    public static final ImageIcon CHAIR_ICON_1 = new ImageIcon("Pictures/Chair1.png");
    public static final ImageIcon CHAIR_ICON_2 = new ImageIcon("Pictures/Chair2.png");

    //Desk Icons
    public static final ImageIcon DESK_ICON_1 = new ImageIcon("Pictures/Desk1.png");
    public static final ImageIcon DESK_ICON_2 = new ImageIcon("Pictures/Desk2.png");
    public static final ImageIcon DESK_ICON_3 = new ImageIcon("Pictures/Desk3.png");
    public static final ImageIcon DESK_ICON_4 = new ImageIcon("Pictures/Desk4.png");
    
    public static final ImageIcon DESK_ICON[] = new ImageIcon[]{null, DESK_ICON_1, DESK_ICON_2, DESK_ICON_3, DESK_ICON_4};

    //Table Icons
    public static final ImageIcon TABLE_ICON_1 = new ImageIcon("Pictures/Table1.png");
    public static final ImageIcon TABLE_ICON_2 = new ImageIcon("Pictures/Table2.png");
    
    //Utility Functions
    /**
     * Resizes an ImageIcon using the Image.SCALE_SMOOTH arg.
     * @param i The ImageIcon.
     * @param x The X size of the new image,
     * @param y The Y size of the new image.
     * @return The resized image.
     */
    public static ImageIcon resize(ImageIcon i, int x, int y)
    {
        //Dirty code to resize image.
        return new ImageIcon(i.getImage().getScaledInstance(x, y, Image.SCALE_SMOOTH));
    }
    /** Resizes an ImageIcon using the Image.SCALE_SMOOTH arg.
     * @param i The ImageIcon.
     * @param d Dimension of the desired image.
     * @return The resized image.
     */
    public static ImageIcon resize(ImageIcon i, Dimension d)
    {
        return new ImageIcon(i.getImage().getScaledInstance(d.width, d.height, Image.SCALE_SMOOTH));
    }
    
    
}
